slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosGetGBidiag

Gets the bidiagonalization choice used in the GSVD TRLanczos solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetGBidiag(SVD svd,SVDTRLanczosGBidiag *bidiag)

Not Collective

### Input Parameter

| svd | - the singular value solver

### Output Parameter

| bidiag | - the bidiagonalization choice

### See Also

SVDTRLanczosSetGBidiag(), SVDTRLanczosGBidiag

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages